Your Privacy Matters: We use our own and third-party cookies to improve your experience on our website. By continuing to use the website we understand that you accept their use. Cookie Policy
995
Upgrading from v12.2 to v17.2 - this.superApply is null...
posted

I just upgraded a legacy application from v12.2 to v17.2 and when I tried to run the project I get JavaScript errors trying to create a previously working IG grid.  I've attached the following screenshot to indicate that it is NULL.

When I first looked at the error I suspected that maybe other upgrades were required as well so I did the following:

  1. Upgraded jQuery from v1.6 to v1.9.1.
  2. Upgrade jQuery UI from v1.8.11 to v1.10.3.
  3. Upgraded the Infragistics MVC DLL.
  4. Upgraded the MVC 4 assembly to 4.0.0.1.

We are using HTML helpers.

I still get the error so I am at a loss as to what is causing it.  Seems like a "base" or parent type is missing.  Our project is very similarly setup to the JSFiddle so blah.  What could it be?

/community/resized-image/__size/320x240/__key/communityserver-discussions-components-files/1028/pastedimage1533237184907v1.png